
QGIS Application - Bug report #13610

Composer Scale Bar: scale bar not correct length when using feet

2015-10-15 09:02 AM - Ed B

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.10.1 Regression?: No

Operating System: Windows 7 64 bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21648

Description

When trying to setup a scale bar for feet I am getting inconsistent results when changing the units from Feet to Map Units.  The map units

on my canvas is feet so there should be no change when switching between the two units (Feet or Map Units).  When it is set to "Feet" the

bar scale is wrong but if the units are set to "Map Units" then the bar scale is correct but the units read "units" and not "feet".  Review the

PDFs attached and you should see the issue with the scale bar.  Test data, PDF maps and Qgs file is attached.

Associated revisions

Revision d56dcdb0 - 2015-10-23 08:03 AM - Nyall Dawson

Fix composer scale bar when crs units are non-meters and OTF is off (fix #13610)

Revision 3667651d - 2015-11-18 12:47 PM - Nyall Dawson

Fix composer scale bar when crs units are non-meters and OTF is off (fix #13610)

(cherry-picked from d56dcdb02fc65d8cd6fc2a5a92b0be4756aa8e2d)

History

#1 - 2015-10-22 11:04 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"d56dcdb02fc65d8cd6fc2a5a92b0be4756aa8e2d".

Files

data.zip 2.82 KB 2015-10-15 Ed B

composer_units_-_map_units.pdf 5.72 KB 2015-10-15 Ed B

composer_scale_bar_units_-_feet.pdf 5.42 KB 2015-10-15 Ed B

sample_data.qgs 39.4 KB 2015-10-15 Ed B
